%define name	dyalog
%define Name	DyALog
%define version 1.10.4
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Compiler for tabular execution of logic programs
Summary(fr):	Compilateur pour l'execution tabulaire de programmes logiques
License:	GPL
Group:		Sciences/Computer science
Source:		%{Name}-%{version}.tar.bz2
Url:		http://atoll.inria.fr/~clerger
BuildRequires:	libgc-devel
BuildRequires:	perl-Test-Cmd
BuildRequires:	perl-Test-Simple
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
DyALog is an experimental compiler of logic programs and grammars
oriented toward a tabular execution (.i.e., where subcomputations are
shared when possible by storing traces of them in a table). It is
useful to build efficient parsers for highly ambiguous and recursive
grammars for Natural Language processing.

%description -l fr
DyALog est un compilateur experimental de grammaires et programmes
logiques concu pour assurer une evaluation tabulaire (c.a.d o les
sous-calculs sont rutiliss quand c'est possible grce  un stockage
de traces dans une table). Ce compilateur est surtout utile pour
construire des analyseurs syntaxiques efficaces pour des grammaires
hautement ambigus et rcursives dans le cadre du traitement de la
langue naturelle.

%prep
%setup -q -n %{Name}-%{version}

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%make check

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%{_bindir}/*
%{_infodir}/dyalog*
%{_libdir}/DyALog
%{_libdir}/pkgconfig/dyalog.pc

%changelog
* Mon Feb 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.10.4-1mdk
- first mdk release
